This bug was fixed in the package python-virtualenv - 15.0.3+ds-2

---------------
python-virtualenv (15.0.3+ds-2) unstable; urgency=medium

  * d/tests/smoketest-{2,3}: Pin the version of world that pip installs to
    less than 4 so that no C is required.  (LP: #1626201)

 -- Barry Warsaw <ba...@debian.org>  Wed, 21 Sep 2016 14:01:01 -0400

** Changed in: python-virtualenv (Ubuntu)
       Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of नेपाली
भाषा समायोजकहरुको समूह, which is subscribed to Xenial.
Matching subscriptions: Ubuntu 16.04 Bugs
https://bugs.launchpad.net/bugs/1626201

Title:
  missing python*-dev and gcc dependencies

Status in python-virtualenv package in Ubuntu:
  Fix Released
Status in python-virtualenv source package in Xenial:
  Triaged

Bug description:
  http://autopkgtest.ubuntu.com/packages/python-virtualenv/yakkety/amd64
  and http://ci.debian.net/packages/p/python-virtualenv/unstable/amd64/
  recently started failing. Apparently until recently it downloaded the
  "chroot":

    Downloading world-3.1.1-py2.py3-none-any.whl
  Requirement already satisfied (use --upgrade to upgrade): setuptools in 
/tmp/autopkgtest.zlm6cw/autopkgtest_tmp/p2a/lib/python2.7/site-packages (from 
world)
  Installing collected packages: world
  Successfully installed world-3.1.1
  it originates from ITALY

  but now:

    Downloading world-4.0.tar.gz
      Complete output from command python setup.py egg_info:
      Python 3.4.0 or better is required

  and then it apparently tries to build it, but is missing gcc and
  python?-dev.

  So some external resource changed and broke the test, which uncovers
  that python?-virtualenv ought to Recommends: gcc, python?-dev.

  Then the test should add "Restrictions: needs-recommends"

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-virtualenv/+bug/1626201/+subscriptions

_______________________________________________
Mailing list: https://launchpad.net/~group.of.nepali.translators
Post to     : group.of.nepali.translators@lists.launchpad.net
Unsubscribe : https://launchpad.net/~group.of.nepali.translators
More help   : https://help.launchpad.net/ListHelp

Reply via email to